# class System

#### package lime.system

Available on all platforms

### Static variables

###

`staticallowScreenTimeout:Bool`

###

`staticread onlyapplicationDirectory:String`

###

`staticread onlyapplicationStorageDirectory:String`

###

`staticread onlydesktopDirectory:String`

###

`staticdisableCFFI:Bool`

###

`staticread onlydocumentsDirectory:String`

###

`staticread onlyendianness:Endian`

###

`staticread onlyfontsDirectory:String`

###

`staticread onlynumDisplays:Int`

###

`staticread onlyuserDirectory:String`

### Static methods

###

`staticembed (projectName:String, element:Dynamic, ?width:Int, ?height:Int, ?windowConfig:Dynamic):Void`

Available on HTML5

###

`staticexit (code:Int):Void`

###

`staticgetDisplay (id:Int):Display`

###

`staticgetTimer ():Int`

###

`staticinline load (library:String, method:String, args:Int = 0, lazy:Bool = false):Dynamic`

###

`staticopenFile (path:String):Void`

###

`staticopenURL (url:String, target:String = "_blank"):Void`